Parus Chat

Send message

Sends a message to an active Parus Chat conversation. The sender is resolved from the Bearer token.

POST/api/v1/chat/messages/send
Authentication
Bearer token required
Application
parus-chat

Headers

{
    "Authorization": "Bearer {token}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "X-Parus-Client": "parus-chat",
    "X-Device-ID": "{device_uuid}",
    "X-App-Version": "1.0.0"
}

Request

{
    "conversation_id": 184,
    "client_message_id": "550e8400-e29b-41d4-a716-446655440000",
    "text": "Привет!",
    "format": "markdown"
}

Response

{
    "success": true,
    "data": {
        "id": 9321,
        "conversation_id": 184,
        "client_message_id": "550e8400-e29b-41d4-a716-446655440000",
        "sender": {
            "id": 42,
            "name": "Ильдар",
            "avatar": null
        },
        "text": "Привет!",
        "format": "markdown",
        "created_at": "2026-09-07T10:20:00+00:00"
    }
}

curl

curl -X POST "https://api.paruscms.ru/api/v1/chat/messages/send" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "X-Parus-Client: parus-chat" \
  -H "X-Device-ID: DEVICE_UUID" \
  -H "X-App-Version: 1.0.0" \
  -d '{
    "conversation_id": 184,
    "client_message_id": "550e8400-e29b-41d4-a716-446655440000",
    "text": "Привет!",
    "format": "markdown"
}'